Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui
[Java] Class GroovyMain

    java.lang.Object
      groovy.ui.GroovyMain

    public class GroovyMain
    extends java.lang.Object

A Command line to execute groovy.

Authors:
  Jeremy Rayner
  Yuri Schimke
  Roshan Dawrani

Version:
  \$Revision\$

Method Summary
`java.lang.String` | `getText(java.lang.String urlOrFilename)`
`java.io.File` | `huntForTheScriptFile(java.lang.String input)` Process the input files.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getText

    public java.lang.String getText(java.lang.String urlOrFilename)

### huntForTheScriptFile

    public java.io.File huntForTheScriptFile(java.lang.String input)

  Process the input files.

### main

    public static void main(java.lang.String[] args)

Groovy Documentation